%define libmajor		1
%define MODULE_API_VERSION	16
%define	py_ver			2.3

Name:		linuxconf
Summary:	An extremely capable system configuration tool
Version:	1.29r3
Release:	5mdk
License:	GPL
Group:		System/Configuration/Other
Url:		http://www.solucorp.qc.ca/linuxconf/
Packager:	Daouda LO <daouda@mandrakesoft.com>
BuildRoot:	%_tmppath/%name-%version-%release-root
Provides:	LINUXCONFAPIREV%{MODULE_API_VERSION}
BuildRequires:	db3-devel libgd2-devel gpm-devel ncurses-devel libpng-devel pam-devel python-devel >= %{py_ver}
BuildRequires:	xpm-devel libxfs-devel
Requires:	initscripts >= 5.27, %{name}-lib = %version-%release
Prereq:		%_sbindir/groupadd /etc/services /bin/mktemp /usr/bin/consolehelper coreutils
Prereq:		grep chkconfig mandrake-release pam
Obsoletes:	usercfg fstool cabaret
Provides:	usercfg fstool cabaret

Source0:	ftp.solucorp.qc.ca:/pub/linuxconf/devel/linuxconf-%{PACKAGE_VERSION}.src.tar.bz2
Source1:	power.png
Source2:	linuxconf.xinetd
Source6:	linuxconf.init
Source7:	managed.gif
Source8:	Enter.png

# Mandrake Patches
Patch0:		linuxconf-1.17r4-logrotatemdk.patch.bz2
Patch1:		linuxconf-1.29r3-askrunlevel-interactive.patch.bz2
Patch2:		linuxconf-1.29r3-mdkconf.patch.bz2
Patch3:		linuxconf-1.21r1-mdkpath.patch.bz2
Patch4:		linuxconf-adsl.patch.bz2
Patch5:		linuxconf-1.29r3-draknet.patch.bz2
Patch6:		linuxconf-1.25-reiserfs.patch.bz2

# Merged RedHat Patches
Patch11:	linuxconf-1.17r2-internaldaemons.patch.bz2
Patch13:	linuxconf-1.25-pppquoting.patch.bz2
Patch15:	linuxconf-1.18r5-system-auth.patch.bz2
Patch17:	linuxconf-1.25r5-ia64.patch.bz2
Patch18:	linuxconf-1.19-dlopengd.patch.bz2
Patch19:	linuxconf-1.27r4-noegcs.patch.bz2
Patch20:	linuxconf-1.26r2-rhconf.patch.bz2
Patch22:	linuxconf-1.25-fix-includes.patch.bz2
Patch23:	linuxconf-1.25-broken-routes.patch.bz2
# PPP/SLIP chat bug
Patch24:	linuxconf-1.25-redhatppp.patch.bz2
#Deush
Patch25:	linuxconf-1.26-time.h.patch.bz2
Patch26:	linuxconf-1.26r4-quota.patch.bz2
Patch27:    linuxconf-1.26r5-rulesmak.patch.bz2
Patch28:	linuxconf-1.27r5-nodiawxxt.patch.bz2
Patch29:	linuxconf-1.28r1-c++fixes.patch.bz2
Patch30:	linuxconf-1.28r2-setmodules.patch.bz2

#PPC patch - force LD2=1, detection routine doesn't work
Patch31:	linuxconf-1.28r2-force-LD2-ppc.patch.bz2

# Mandrake patches again
Patch40:	linuxconf-1.29r3-fix-paths.patch.bz2
Patch41:	linuxconf-1.28r2-libsupc++.patch.bz2
Patch42:	linuxconf-1.28r2-x86_64-keymap-arch.patch.bz2
Patch44:	linuxconf-1.29r3-quotacc-include-xfs.patch.bz2
Patch45:	linuxconf-1.29r3-gcc-3.3.patch.bz2
Patch46:	linuxconf-1.29r3-mdkperms.patch.bz2

%description
Linuxconf is an extremely capable system configuration tool.  Linuxconf
provides four different interfaces for you to choose from:  command line,
character-cell (like the installation program), an X Window System based
GUI and a web-based interface.  Linuxconf can manage a large proportion
of your system's operations, including networking, user accounts, file
systems, boot parameters, and more.

Linuxconf will simplify the process of configuring your system.  Unless
you are completely happy with configuring your system manually, you should
install the linuxconf package and use linuxconf instead.

%package lib
Summary:	Shared librairy providing the linuxconf UI toolkit
Group:		Development/Other
Obsoletes:	liblinuxconf, liblinuxconf1_25, liblinuxconf1, liblinuxconf1_26
Provides:	liblinuxconf, liblinuxconf1_25, liblinuxconf1, liblinuxconf1_26

%description lib
This provides the dll and support files for standalone utilities
other than Linuxconf which are using the Linuxconf user interface
toolkit.

%package lang-zh
Summary:	Chinese tranlation (Traditional) for LinuxConf
Group:		System/Internationalization
Requires:	locales-zh, linuxconf = %version-%release

%description lang-zh
This package contains chinese (Traditional) translation for LinuxConf.

%package lang-cn
Summary:	Chinese tranlation (simplified) for LinuxConf
Group:		System/Internationalization
Requires:	locales-zh, linuxconf = %version-%release

%description lang-cn
This package contains chinese (simplified) ranslation for LinuxConf

%package lang-cs
Summary:	Czech translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-cs, linuxconf = %version-%release

%description lang-cs
This package contains czech translation for LinuxConf.

%package lang-de
Summary:	German translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-de, linuxconf = %version-%release

%description lang-de
This package contains german translation for LinuxConf.

%package lang-es
Summary:	Spanish translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-es, linuxconf = %version-%release

%description lang-es
This package contains spanish translation for LinuxConf.

%package	lang-fi
Summary:	Finish translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-fi, linuxconf = %version-%release

%description lang-fi
This package contains finish translation for LinuxConf.

%package lang-fr
Summary:	French translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-fr, linuxconf = %version-%release

%description lang-fr
This package contains french translation for LinuxConf.

%package lang-hu
Summary:	Hungarian translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-hu, linuxconf = %version-%release

%description lang-hu
This package contains hungarian translation for LinuxConf.

%package lang-it
Summary:	Italian translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-it, linuxconf = %version-%release

%description lang-it
This package contains italian translation for LinuxConf.

%package lang-no
Summary:	Norwegian translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-no, linuxconf = %version-%release

%description lang-no
This package contains norwegian translation for LinuxConf.

%package lang-pt
Summary:	Portuguese translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-pt, linuxconf = %version-%release

%description lang-pt
This package contains portuguese translation for LinuxConf.

%package lang-sv
Summary:	Swedish translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-sv, linuxconf = %version-%release
Obsoletes:	linuxconf-lang-se
Provides:	linuxconf-lang-se

%description lang-sv
This package contains swedish translation for LinuxConf.

%package lang-sk
Summary:	Slovak translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-sk, linuxconf = %version-%release

%description lang-sk
This package contains slovak translation for LinuxConf.

%package lang-ko
Summary:	Korean translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-ko, linuxconf = %version-%release

%description lang-ko
This package contains korean translation for LinuxConf.

%package lang-ro
Summary:	Romanian translation for LinuxConf
Group:		System/Internationalization
Requires:	locales-ro, linuxconf = %version-%release

%description lang-ro
This package contains romanian translation for LinuxConf.

%package lang-ru-SU
Summary:	Russian KOIS for LinuxConf
Group:		System/Internationalization
Requires:	locales-ru, linuxconf = %version-%release

%description lang-ru-SU
This package contains russian KOIS translation for LinuxConf.

%package devel
Summary:	The tools needed for developing linuxconf modules
Group:		Development/Other
Requires:	linuxconf
Obsoletes:	liblinuxconf-devel, linuxconf-lib-devel, liblinuxconf1_26-devel, liblinuxconf1_25-devel
Provides:	linuxconf-devel, liblinuxconf-devel, linuxconf-lib-devel, liblinuxconf1_26-devel, liblinuxconf1_25-devel

%description devel
Linuxconf is an extremely capable system configuration tool.
It provides a variety of interfaces through which you can configure
your Linux system and manage a large proportion of the system's
operations.

This package provides the components necessary for developing
Linuxconf modules outside of the linuxconf source tree and/or
developing stand-alone utilities using the linuxconf interface
toolkit.

Install linuxconf-devel if you want to develop Linuxconf modules.
You must also have linuxconf installed.

%package util
Summary:	Various related utilities
Group:		System/Configuration/Other
Requires:	%{name}-lib = %version-%release

%description util
This provides various utilities. Most requires linuxconf-lib as well.

%prep

%setup -q
# Mandrake Patches
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1

# Merged RedHat patches
%patch11 -p1
%patch13 -p1
%patch15 -p1
%patch17 -p0
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch40 -p1 -b .fix-paths
%patch41 -p1 -b .libsupc++
%patch42 -p1 -b .x86_64-keymap-arch
%patch44 -p1

%patch45 -p1 -b .gcc3.3

%patch46 -p1

# Further lib64 fixes
find . -name "*.sh" | xargs perl -pi -e "s|/lib(/linuxconf)|/%{_lib}\1|g"

%ifarch ppc
%patch31 -p1
%endif

#(peroyvind) change hardcoded python version in Makefile
perl -pi -e "s#python2.2#python%{py_ver}#" modules/pythonmod/Makefile modules/pythonmod/pythonlib/Makefile

%build 
pushd conf.files/redhat/scripts && {
 mv -f S99linuxconf linuxconf
 rm -f S00linuxconf grabinfo.sh
} && popd

cd $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/help.files
 for files in [a-z][a-z];do cd $files/main; \
 perl -p -i -e "s/linux.org/linux-mandrake.com/g;" introweb.src; \
 perl -p -i -e "s/redhat/mandrake/g;" introweb.src; \
 perl -p -i -e "s/power.gif/power.png/g;" introweb.src; \
 perl -p -i -e "s/img src/img border=0 src/g;" introweb.src; \
 perl -p -i -e "s|images/Demarrer.png|images/Enter.png|g;" introweb.src; \
 perl -p -i -e "s|images/Start.png|images/Enter.png|g;" introweb.src; \
 cd ../..; done
cd sources/main
 perl -p -i -e "s/BODY/BODY BGCOLOR=white/g;" introweb.src; \
 perl -p -i -e "s/linux.org/linux-mandrake.com/g;" introweb.src; \
 perl -p -i -e "s/redhat/mandrake/g;" introweb.src; \
 perl -p -i -e "s/power.gif/power.png/g;" introweb.src; \
 perl -p -i -e "s/img src/img border=0 src/g;" introweb.src; \
 perl -p -i -e "s|images/Demarrer.png|images/Enter.png|g;" introweb.src; \
 perl -p -i -e "s|images/Start.png|images/Enter.png|g;" introweb.src; \
 cd ../..
cd $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/userconf
 perl -p -i -e "s/linux.org/linux-mandrake.com/g;" upass.cc; \
 perl -p -i -e "s/redhat/mandrake/g;" upass.cc; \
 perl -p -i -e "s/power.gif/power.png/g;" upass.cc; \
 perl -p -i -e "s/img src/img border=0 src/g;" upass.cc; \
 perl -p -i -e "s|images/Demarrer.png|images/Enter.png|g;" upass.cc; \
 perl -p -i -e "s|images/Start.png|images/Enter.png|g;" upass.cc; \
 cd ..
install -m644 %{SOURCE1} images/power.png
install -m644 %{SOURCE7} images/managed.gif
install -m644 %{SOURCE8} images/Enter.png


cd $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}
perl -pi -e "s|-lm|-lm -lgd -lpng|g;" ./main/Makefile
%serverbuild
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" PYTHONVER=%{py_ver}

%install
rm -rf %{buildroot}
export RPM_BUILD_ROOT

uid=`id -un` && gid=`id -gn`
find . -name Makefile -o -name "*.mak" -o -name "*.sh" \
| xargs perl -pi -e "s/(install.*)-o ?root/\$1/; s/(install.*)-g ?root/\$1/; s/(chown.*)root\.root/\$1$uid.$gid/"

make install_for_rpm

mkdir -p %{buildroot}/var/log/linuxconf
for file in htmlaccess netconf boot ; do
        touch %{buildroot}/var/log/linuxconf/$file.log 
        chmod 600 %{buildroot}/var/log/linuxconf/$file.log
done

rm -f %{buildroot}%{_libdir}/linuxconf/install/*{caldera,conectiva,debian,suse}*
cp %{buildroot}%{_libdir}/linuxconf/install/conf.linuxconf-redhat-4.x  %{buildroot}/etc/conf.linuxconf

make install-devel install-lib

for i in userconf netconf fsconf;do
mv %buildroot/bin/$i %buildroot/sbin/$i
done

# fix some install
(cd %{buildroot}; mv -f bin/linuxconf sbin/linuxconf)
ln -sf ../usr/bin/consolehelper %{buildroot}/bin/linuxconf
ln -sf ../../bin/linuxconf %{buildroot}/usr/bin/linuxconf
# (vdanen: 09/07/02) force symlinks to point to real linuxconf
for i in modemconf managerpm dnsconf mailconf vregistry askrunlevel fixperm fsconf netconf userconf; do
  ln -sf linuxconf %{buildroot}/sbin/$i
done

# Clean out some stuff we don't want packaged.
find %{buildroot} -name "*.orig" -type f | xargs rm -fv
find %{buildroot} -name "*.rhconf" -type f | xargs rm -fv
find %{buildroot} -name "*~" -type f | xargs rm -fv

(cd %{buildroot}%{_libdir}/linuxconf; find . -type f -print) | 
  grep -v '^\./help\.' | grep -v '^\.$' |
  sed 's:^\./:%{_libdir}/linuxconf/:g' > libfiles
(cd %{buildroot}%{_libdir}/linuxconf; find . -type d -print) | 
  grep -v '^\./help\.' | grep -v '^\.$' |
  sed 's:^\./:%dir %{_libdir}/linuxconf/:g' >> libfiles

# Install xinetd configuration files.
install -d -m755 %{buildroot}/etc/xinetd.d
install -m 644 %{SOURCE2} %{buildroot}/etc/xinetd.d/linuxconf-web

# Install our hacked up init script.
cp %{SOURCE6} %{buildroot}%{_libdir}/linuxconf/redhat/scripts/linuxconf
mkdir -p %{buildroot}/etc/rc.d/init.d/
mv %{buildroot}/etc/init.d/switchprofile %{buildroot}/etc/rc.d/init.d/

%clean
rm -rf %buildroot

%pre
OLDINSTALL=%{_libdir}/linuxconf/help.eng/notices/01-oldinstall
INITTABREPLACE=%{_libdir}/linuxconf/uninstall/inittab.replace
UPGRADE="NO"


echo "#### pre install script" >>/tmp/linuxconf-rpminstall.log
date >>/tmp/linuxconf-rpminstall.log

log(){
	echo $* >>/tmp/linuxconf-rpminstall.log
	$*
}

# Check for tarball installation
if [ -f %{_libdir}/linuxconf/conf.daemons ] ; then
	UPGRADE="YES"
fi

if [ -f %{_libdir}/linuxconf/std/conf.daemons ] ; then
	UPGRADE="YES"
fi

# Check for old 1.9r22 RPM installation
if [ -f %{_libdir}/linuxconf/install/doinst.sh ] ; then
	UPGRADE="YES"
fi

if [ $UPGRADE = "YES" ] ; then
	# Script to upgrade pre-1.9r25 Linuxconf to new SysV compliant booting.
	# Dale - Hacked in a few minutes late one night :-)

	echo Upgrading from older install strategy >>/tmp/linuxconf-rpminstall.log
	# Kill the Install directory
	if [ -f /install/doinst.sh ] ; then
		log rm -Rf /install
	fi

	# Kill the old %{_libdir}/linuxconf directory, the RPM will put
	# everything we need back in later.
	log rm -Rf %{_libdir}/linuxconf

	# Create the directories we will need for the upgrade
	log install -d -g users -m 755 -o root %{_libdir}/linuxconf/
	log install -d -g users -m 755 -o root %{_libdir}/linuxconf/help.eng/notices/
	log install -d -g users -m 755 -o root %{_libdir}/linuxconf/uninstall/

	# Create a note displayed by linuxconf informing that the RPM
	# install has done some cleanup
	echo "      Installation note" >$OLDINSTALL
	echo >>$OLDINSTALL
	echo "The RPM installation has detected that linuxconf was already" >>$OLDINSTALL
	echo "installed using the tar.gz kit" >>$OLDINSTALL
	echo >>$OLDINSTALL
	echo "It has taken action to fix your linuxconf installation" >>$OLDINSTALL
	echo "so it becomes more compatible with RPM based systems" >>$OLDINSTALL
	echo >>$OLDINSTALL
	echo "You may want to check /tmp/linuxconf-rpminstall.log" >>$OLDINSTALL

	# I put a default RedHat inittab in %{_libdir}/linuxconf/install
	# When I unpack the distro, the original SHOULD be there, but hey,
	# You never can tell when someone is gonna need that 1k taken up
	# by the backup....
	if [ -f /etc/inittab.old ] ; then
		log cp /etc/inittab %{_libdir}/linuxconf/uninstall/inittab.beforeupgrade
		log mv -f /etc/inittab.old /etc/inittab
	#else
		# Tell the RPM to replace this file with a stock RedHat
		# We haven't untarred anything yet, so we can't replace it
		#log cp /etc/inittab %{_libdir}/linuxconf/uninstall/inittab.beforeupgrade
		#log touch $INITTABREPLACE
	fi

	if [ -f /etc/rc.d/rc.M ] ; then
		log mv -f /etc/rc.d/rc.M %{_libdir}/linuxconf/uninstall/rc.M.beforeupgrade
	fi

	if [ -f /etc/rc.d/rc.sysinit.old ] ; then
		log mv -f /etc/rc.d/rc.sysinit.old %{_libdir}/linuxconf/uninstall/rc.sysinit.beforelinuxconf
	fi

	if [ -f /etc/rc.d/rc.old ] ; then
		log mv -f /etc/rc.d/rc.old %{_libdir}/linuxconf/uninstall/rc.beforelinuxconf
	fi

	if [ -f %{_bindir}/passwd.old ] ; then
		log mv -f %{_bindir}/passwd.old %{_libdir}/linuxconf/uninstall/passwd.beforelinuxconf
	fi

	if [ -f %{_sbindir}/syslogd.old ] ; then
		log mv -f %{_bindir}/syslogd.old %{_libdir}/linuxconf/uninstall/syslogd.beforelinuxconf
	fi

	if [ -f /etc/conf.linuxconf ] ; then
		log mv -f /etc/conf.linuxconf /etc/conf.linuxconf-installed
	fi
fi

if [ $UPGRADE = "NO" ] ; then
		rm -f /tmp/linuxconf-rpminstall.log		
fi

if [ -f /usr/X11R6/bin/wxxt-linuxconf ];then 
	rm -f /usr/X11R6/bin/wxxt-linuxconf
fi

%post
touch /var/log/linuxconf/htmlaccess.log
touch /var/log/linuxconf/netconf.log
touch /var/log/linuxconf/boot.log
/sbin/ldconfig
%{_libdir}/linuxconf/install/rpm-postinst.sh $*
# Add a few group ids so that the user is not prompted for them later...
if [ -x %{_sbindir}/groupadd ] ; then
	# if it is an old version of groupadd, the combined -g and -r options
	# will cause it to fail, so we fall back on just -r.  It will be less
	# consistent across systems, but that's not too horrible.
	%{_sbindir}/groupadd -g 230 -r -f pppusers >/dev/null 2>&1 || \
		  %{_sbindir}/groupadd -r -f pppusers >/dev/null 2>&1 || true
	%{_sbindir}/groupadd -g 231 -r -f popusers >/dev/null 2>&1 || \
	  %{_sbindir}/groupadd -r -f popusers >/dev/null 2>&1 || true
	%{_sbindir}/groupadd -g 232 -r -f slipusers >/dev/null 2>&1 || \
	  %{_sbindir}/groupadd -r -f slipusers >/dev/null 2>&1 || true
fi
if [ -x %{_bindir}/update-menus ];then
		%{_bindir}/update-menus
fi
%_post_service switchprofile

%post lib -p /sbin/ldconfig

%preun
%_preun_service switchprofile
# The script is handed a 0 if this is a uninstall
# and a 1 if it is an upgrade...
%{_libdir}/linuxconf/install/rpm-preuninst.sh $1

		
%postun
if [ "$1" = 0 ] ; then
	# remove linuxconf from /etc/inetd.conf if it is there
	if [ -f /etc/inetd.conf ] &&
   	grep linuxconf /etc/inetd.conf >/dev/null 2>&1 ; then
		if grep -v linuxconf /etc/inetd.conf > /tmp/inetd.$$ ; then
			mv /tmp/inetd.$$ /etc/inetd.conf
		fi
	fi
	rm -f /var/run/treemenu.cache
		if [ -x %{_bindir}/update-menus ];then
				%{_bindir}/update-menus
		fi
fi

%postun lib -p /sbin/ldconfig

%files -f libfiles
#defattr do not work with old rpm utility
%defattr(-,root,root)
%config(noreplace) %verify(not md5 size mtime) /etc/conf.linuxconf
%config(noreplace) /etc/rc.d/init.d/switchprofile
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/logrotate.d/l*
#%config(noreplace) /etc/security/console.apps/*
%config(noreplace) /etc/xinetd.d/*
#%{_bindir}/linuxconf-auth
#%{_libdir}/menu/*
%dir %{_libdir}/linuxconf/
%{_libdir}/linuxconf/help.eng
%attr(0755,root,root) /sbin/linuxconf
/sbin/netconf
/sbin/fsconf
/sbin/askrunlevel
/sbin/fixperm
/sbin/userconf
/sbin/remadmin
/sbin/dnsconf
/sbin/vregistry
/sbin/mailconf
/sbin/modemconf
/sbin/managerpm

%attr(0755,root,root) /bin/linuxconf
#
%_bindir/pidsocket
%_bindir/visualuntar
#
%dir /var/log/linuxconf
%ghost /var/log/linuxconf/htmlaccess.log
%ghost /var/log/linuxconf/netconf.log
%ghost /var/log/linuxconf/boot.log
#
%doc rpmfiles/doc/COPYING
%doc rpmfiles/doc/HELPING
%doc rpmfiles/doc/RPM-CHANGES
%doc rpmfiles/doc/RPM-INSTALL
%doc rpmfiles/doc/RPM-README
%doc rpmfiles/doc/UPGRADE
#
%_mandir/man?/*

%files util
%defattr(-,root,root)
%{_bindir}/shellmod
%{_bindir}/linuxconf-wrapper
%{_bindir}/wineconf
%{_bindir}/fsbrowser
%{_libdir}/linuxconf/lib/shellmod-control  
%{_libdir}/linuxconf/lib/shellmod-lib.sh
%{_libdir}/linuxconf/lib/shellmod-lib.pl
%{_libdir}/linuxconf/help.eng/shellmod-msg*

%files devel
%defattr(-,root,root)
%{_includedir}/linuxconf
%{_libdir}/liblinuxconf.a
%{_libdir}/linuxconf-devel
%{_bindir}/tlcc
%{_bindir}/tlccversion
%{_bindir}/tlproto
%{_libdir}/liblinuxconf.so

%files lib
%defattr(-,root,root)
%{_libdir}/liblinuxconf.so.1
%{_libdir}/liblinuxconf.so.%{version}
%{_libdir}/linuxconf-lib

%files lang-zh
%defattr(-,root,root)
%lang(zh) %{_libdir}/linuxconf/help.bg5

%files lang-cn
%defattr(-,root,root)
%lang(zh) %{_libdir}/linuxconf/help.cn

%files lang-cs
%defattr(-,root,root)
%lang(cs) %{_libdir}/linuxconf/help.cs

%files lang-de
%defattr(-,root,root)
%lang(de) %{_libdir}/linuxconf/help.de

%files lang-es
%defattr(-,root,root)
%lang(es) %{_libdir}/linuxconf/help.es

%files lang-fi
%defattr(-,root,root)
%lang(fi) %{_libdir}/linuxconf/help.fi

%files lang-fr
%defattr(-,root,root)
%lang(fr) %{_libdir}/linuxconf/help.fr

%files lang-hu
%defattr(-,root,root,-)
%lang(hu) %_libdir/linuxconf/help.hu

%files lang-it
%defattr(-,root,root)
%lang(it) %{_libdir}/linuxconf/help.it

%files lang-no
%defattr(-,root,root)
%lang(no) %{_libdir}/linuxconf/help.no

%files lang-pt
%defattr(-,root,root)
%lang(pt) %{_libdir}/linuxconf/help.pt

%files lang-ro
%defattr(-,root,root)
%lang(ro) %{_libdir}/linuxconf/help.ro

%files lang-sv
%defattr(-,root,root)
%lang(se) %{_libdir}/linuxconf/help.se

%files lang-sk
%defattr(-,root,root)
%lang(sk) %{_libdir}/linuxconf/help.sk

%files lang-ko
%defattr(-,root,root)
%lang(ko) %{_libdir}/linuxconf/help.ko

%files lang-ru-SU
%defattr(-,root,root)
%lang(ru) %{_libdir}/linuxconf/help.ru_SU

%changelog
* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.29r3-5mdk
- fix python-2.3 build
- from Dirk O. Siebnich <dok@dok-net.net>:
	o linuxconf-1.29r3-mdkperms.patch.bz2: correct file modes for MDK

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.29r3-4mdk
- fix gcc-3.3 patch (P45), thx gwenole

* Sat Jul 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.29r3-3mdk
- fix gcc-3.3 build (P45)
- buildrequires

* Tue Jan 21 2003 Daouda LO <daouda@mandrakesoft.com> 1.29r3-2mdk
- rebuild against latest libgd2

* Wed Jan 15 2003 Daouda LO <daouda@mandrakesoft.com> 1.29r3-1mdk
   o Tue Jan 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.29r3-1mdk
		- 1.29r3
		- rediffed P1, P5, P7 & 40
		- drop P8, it's included upstream
		- deactivate P21 for now

   o added patch #44 for xfs/quota support
   o switchprofile service
		
* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.28r2-8mdk
- Ship with tlccversion
- Patch40: Fix paths mostly for lib64-awareness
- Patch41: Link pppparams with -lsupc++
- Patch42: Add keymap_arch for x86-64 which turns out to be i386 for now

* Sat Nov 09 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.28r2-7mdk
- force LD2=1 on PPC build, detection fails (patch31)

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.28r2-6mdk
- Prereq: s/(sh-|text|file)utils/coreutils/
- fix provide

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.28r2-5mdk
- fix lang sub packages group

* Sat Sep  7 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.28r2-4mdk
- don't point symlinks to the consolehelper-ized linuxconf because it breaks
  how they work (ie. netconf, userconf, etc.).  Point to real linuxconf
  since they should only be run as root user anyways (linuxconf being
  consolehelper-ized is enough)

* Wed Sep  4 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.28r2-3mdk
- make linuxconf run through consolehelper so it can still be run by
  non-root if they know root pw
- take netconf out of /bin and /usr/bin, it can only be run as root due to
  consolehelper not being too fond of nested symlinks

* Tue Sep  3 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.28r2-2mdk
- strip suid bit from linuxconf (unneeded and a security risk)

* Thu Aug 15 2002 Daouda LO <daouda@mandrakesoft.com> 1.28r2-1mdk
- 1.28r2
	o samba : more share features
	o dnsconf: more validations
	o vregistry: triggering a dialog + more variables
		you can do now : /sbin/vregistry --rundialog samba.workgroup
	o text mode color mode fixed
- splitted "setmodules by default" patches from mdkconf.patch
- added requires to linuxconf-devel

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.28r1-2mdk
- Automated rebuild with gcc3.2

* Mon Jul 15 2002 Daouda LO <daouda@mandrakesoft.com> 1.28r1-1mdk
- 1.28r1

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.27r5-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon May  6 2002 Daouda LO <daouda@mandrakesoft.com> 1.27r5-1mdk
- 1.27r5 release

* Fri Apr 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.27r4-2mdk
- Patch8: ISO C++ fixes, aka fix build with gcc3.1+
  - Friend declaration requires class-key
  - Don't assume namespace std has global scope
  - Don't cast to an array type

* Fri Apr 19 2002 Daouda LO <daouda@mandrakesoft.com> 1.27r4-1mdk
- release 1.27r4
- add missing files (from original spec file)

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 1.27-1mdk
- release 1.27

* Tue Jan 22 2002 Daouda LO <daouda@mandrakesoft.com> 1.26r5-2mdk
- delete stalled rpm log file in /tmp if empty.

* Wed Jan  9 2002 Daouda LO <daouda@mandrakesoft.com> 1.26r5-1mdk
- release 1.26r5
- patch20 regeneration/split.

* Fri Nov  9 2001 Daouda LO <daouda@mandrakesoft.com> 1.26r4-1mdk
-  release 1.26r4
	o enhancements: ip alias with name, virtual email domains.
	o bugfixes : dnsconf, firewall...
- patched quota module (credits to Kevin)

* Wed Nov  7 2001 Daouda LO <daouda@mandrakesoft.com> 1.26r2-1mdk
- release 1.26r2
	o modules updates (dnsconf, samba, wuftpd...)
	o vregistry enhancements  
	o bugfixes (liloconf, xterminals)
- resync patches (2, 20)

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.26-8mdk
- BuildRequires: db3-devel python-devel

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 1.26-7mdk
- fix obsoletes/provides
- fix netconf startup at install 

* Mon Sep 17 2001 Daouda LO <daouda@mandrakesoft.com> 1.26-6mdk
- fix dependencies on linuxconf-lib

* Mon Sep 17 2001 Daouda LO <daouda@mandrakesoft.com> 1.26-5mdk
- revert back libification 
- remove some references to rhs-prinfilters

* Tue Sep 13 2001 David BAUDENS <baudens@mandrakesoft.com> 1.26-4mdk
- Fix Requires

* Sat Sep 09 2001 David BAUDENS <baudens@mandrakesoft.com> 1.26-3mdk
- Fix Provides/Obsolotes
- Fix Summary
- Fix %%files for lang packages
- Add missing files

* Thu Sep 06 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.26-2mdk
- recompiled using %%serverbuild flags.

* Wed Aug 29 2001 Daouda LO <daouda@mandrakesoft.com> 1.26-1mdk
- release 1.26
	o fix security flaw in web mode
 	o added linuxconf --services
	o module apache SSL management fix
	o mandrake 8 support
	o see http://www.solucorp.qc.ca/changes.hc?projet=linuxconf&version=1.26
	  for complete changelog.
 
* Wed Aug 08 2001 <cbelisle@mandrakesoft.com> 1.25r7-8mdk
- s/Copyright/License.
- Fixed Distribution Tag.
- Fixed typo in brasilian summary.

* Fri Jul 20 2001  <daouda@no.mandrakesoft.com> 1.25r7-7mdk
- exec ldconfig.

* Fri Jul 20 2001  Daouda Lo <daouda@mandrakesoft.com> 1.25r7-6mdk
- rebuild

* Thu Jul 19 2001  Daouda Lo <daouda@mandrakesoft.com> 1.25r7-5mdk
- lib policy
- bad redhat module load real fix (ldconfig bug workarounded in pam).
- spec cleanups: no triggered module at all (more coming up).

* Wed Jul 18 2001 Daouda LO <daouda@mandrakesoft.com> 1.25r7-4mdk
- don't load redhat module through /etc/conf.linuxconf (fix install
  hanging on linuxconf startup)

* Tue Jul 10 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.25r7-3mdk
- rlt8139 module name to 8139too
- add kernel module for BroadCom Gigabit NIC and Intel PRO/100 e100
-	Intel PRO/1000 e1000

* Sat Jul 07 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.25r7-2mdk
- rebuild for libdb3

* Sat Jun 16 2001  Daouda Lo <daouda@mandrakesoft.com> 1.25r7-1mdk
- release 1.25r7
- enhancements and bug fixes:
	o fix in gurusteps components when 6 steps were specified. It was 
	  only showing the first one.
	o module xterminal : fix a flaw in the guruengine libmodule.
- french po updates.
- add missing include file (time.h) : patch25

* Sun May 20 2001 Jesse Kuang <kjx@linux-mandrake.com>
- change suffix of OLD/backup config file from .OLD to .bak

* Fri May 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.25r5-1mdk
- upgrade to 1.25r5
- fixes redhatppp PPP/SLIP/PLIP dialout chat (bug #3529)

* Sun Apr 15 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.25r3-5mdk
- added Requires: locales-xx to language subpackages
- created symlink /bin.netconf [Bug #1653]
- updated to 1.25r3 to fix wineconf bug

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.25-4mdk
- Add reiserfs type to fsedit.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.25-3mdk
- Fix uninstall errors.
- Don't install wineconf and guru (currently broken).
- /dev/null installtion message.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.25-2mdk
- Don't write broken routes (rh).
- Rework initscripts to add reload/restart/status/subsys.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.25-1mdk
- Big new mdk patches adpatations and rework spec.
- Remove xauth patch (now merged in upstream source).
- Remove modules.conf patch since we are now for sure by default in
  /etc/conf.modules.
- Remove lilo patches since it's now we have grub configurator.
- 1.25.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.21r5-8mdk
- fix build (includes for glibc-2.2.2)

* Fri Dec 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.21r5-7mdk
- remove *.orig file before making filelist
- Geoff <snailtalk@mandrakesoft.com>
  - small changes to the summary of the Chinese translation pacakges.
  - remove vendor, remove distribution.
  
* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.21r5-6mdk
- Rebuild with gcc-2.96 & glibc-2.2 to fix error on start

* Fri Oct 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.21r5-5mdk
- remove out this $%^&^*&^*^ AutoReqProv!!!

* Thu Oct 26 2000 Vincent Saugey <vince@mandrakesoft.com> 1.21r5-4mdk
- Remove old menu entry (now in gnome-linuxconf)

* Tue Oct 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.21r5-3mdk
- Add -lpng and -lgd 
- Modify /etc/services and /etc/inetd.conf... who removed this?
- Change old Mandrake logo and old Linuxconf logo

* Mon Oct 23 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.21r5-1mdk
- update to 1.21r5 (many bugfixes...)
- removed the totally FUBAR linuxconf-gui (wxxt front-end), that crashes all
  the time without reason. Works well on previous Mandrake releases (the
  author of Linuxconf uses Mandrake and has no clue on what the problem with
  7.2 can be, neither do I) [Bug 474] [Bug 480]
- Note that Linuxconf web mode still does not work on rh 7.0 or Mandrake
  because of a problem with wait services in xinetd. Chmouel, please see
  [RHBA-2000:090-02] and rebuild xinetd.
- removed linuxconf-auth and consolehelper, added a symlink from /sbin to
  /bin/linuxconf [Bug 867]
- added support for draknet profiles [Bug 688]

* Mon Sep 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.21r1-2mdk
- fixed initscript

* Sat Sep  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.21r1-1mdk
- Brand new version with lots of bugfixes
- New Apache configuration with include files (at least)
- New wxxt interface that replaces gnome-linuxconf with nice icons. If 
  LN has the time, maybe she can replace some.
- Heavy merge between our previous version, Jacques' version and RedHat's
  version (ouch)
- Macroize package

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.18-4mdk
- automatically added BuildRequires

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.18-3mdk
- Use /etc/modules.conf by default but try to find /etc/conf.modules
  if we can't found him.

* Sun May  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.18-2mdk
- Don't try to upgrade lilo everytime (we use also grub).
- 1.18, fix bugs of preview before quit.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r9-2mdk
- Add support for interactive runlevel.

* Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r9-1mdk
- merged my patches into main linuxconf source with Jacques Gelinas
- fixed symlinks askrunlevel, dnsconf, fixperm and mailconf.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r7-7mdk
- Chmou bad days adding a menu entry.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r7-6mdk
- move .so to -devel package (and make rpmlint happy).
- Fix groups.
- Fix relative symlinks.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r7-5mdk
- Touch /var/log/linuxconf{htmlaccess,netconf}.log in %post for logrotate

* Fri Mar 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r7-4mdk
- spelling patch
- remadmin is not a config file
- used spec-helper to clean rpm.

* Mon Mar 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r7-3mdk
- re-added mayshowexpire flag in userconf

* Mon Mar 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r7-2mdk
- fixed dhcp patch

* Mon Mar 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r7-1mdk
- 1.17r7
- added dhcp patch
- added userconf patch, then removed it because Jacques Gelinas reads my 
  mind ;-) and it was already there.

* Tue Mar  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r5-1mdk
- 1.17r5.

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r4-2mdk
- added support for ADSL PPPoE linuxconf module

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.17r4-1mdk
- fixed broken fwport.cc 
- put setup -q so "tar" won't take a week to do its job
- added ldconfig in post section
- added liblinuxconf.so (required by some modules)
- fixed translations
- added network access for 127.0.0.1
- worked successfully with Jacques Gelinas <jack@solucorp.qc.ca> to
  integrate my virtual hosting patches in Linuxconf's main release
- corrected some broken buttons in french version
- added french translations
- changed the link to linux.org to linux-mandrake.com, removed it from the
  mdkconf.patch and put it in the spec file so new translations will work
  without changing the patch.
- removed some trigger scripts that are not needed anymore and caused
  linuxconf to appear twice in inetd.conf and services
- fixed languages so that all languages are installed and the user can
  switch after installation. Important in cases where the sysadmin speaks
  another language than the desktop users (ie ISPs).
- put dialout module instead of redhatppp because it's better for
  most ISPs and works with dedicated lines.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r3-4mdk
- logorotate should also follow the change of /var/log/linuxconf/

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r3-3mdk
- fix url to point to http://www.linuxmandrake.com/.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r3-2mdk
- Oops forget to insert the /var/log/linuxconf directory

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.17r3-1mdk
- Real clock is /sbin/hwclock.
- Move logs to /var/log/linuxconf/.
- Spec tweak.
- Fix url.
- 1.17r3.

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.16r10-6mdk
- added a BuildRequires gd-devel
- fix build on sparc.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- fix an imprecision in call to method setfrom
- fix build as non-root

* Mon Dec 27 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.16r10-3mdk
- add XAUTHORITY to the environment of new processes.

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New logo from helene.

* Wed Dec  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- removed lpconf and xconf.
- Support png not gif.
- 1.16r10.

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Re-remove the treemenu.

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New beautifull logo from alix :).
- 1.16r4.

* Thu Sep 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.16r3.1

* Thu Aug  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.16r2
- Patched heavily to get it to work.
- Add trigger rules from redhat packages.
- Please TEST it.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Back to 1.15r2, the 16r1 is completely broken the install and boot. (i'll
  fix it this monday if no other has done this before me ;)).

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- We don't want tree menus.
- Merging the -anl patch to mdkconf (i will split lather).
- Fix a bug in the %postun scripts.

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- update to 1.15
- handle RPM_OPT_FLAGS
- handle modems at /dev/ttyS3

* Mon Apr 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake specification.
- Fixing typo.

* Mon Apr 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- prerequire redhat-release
- remove ghost reference to boot.log in logrotate file.

* Wed Mar 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- dhcpd config should trust dhcpd or dhcpd script to put in correct routes

* Tue Mar 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to 1.14r2
- added defattr

* Mon Mar 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed ppp device names
- added a bunch of modules by default

* Thu Mar 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- removed /var/log/boot.log (not used on Red Hat Linux)
- add redhatppp module by default
- fix /var/spol/mqueue permissions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Mar 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- do not install old versions of patch files
- perm -> umask to fix bug #418

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- french messages

* Thu Mar 11 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved to 1.14

* Wed Mar 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- Moved to pristine source from internal CVS archive
